com.jnape.palatable.lambda.adt.hmap

## Interface TypeSafeKey.Simple<A>

- Type Parameters:
    `A` - The type of the value that this key maps to inside an `HMap`
  All Superinterfaces:
    Applicative<A,Iso<A,?,A,A>>, Contravariant<A,Profunctor<?,A,Iso<?,?,A,A>>>, Functor<A,Iso<A,?,A,A>>, Iso<A,A,A,A>, Iso.Simple<A,A>, Monad<A,Iso<A,?,A,A>>, MonadRec<A,Iso<A,?,A,A>>, Optic<Profunctor<?,?,?>,Functor<?,?>,A,A,A,A>, Optic.Simple<Profunctor<?,?,?>,Functor<?,?>,A,A>, Profunctor<A,A,Iso<?,?,A,A>>, TypeSafeKey<A,A>
  Enclosing interface:
    TypeSafeKey<A,B>

      public static interface TypeSafeKey.Simple<A>
      extends TypeSafeKey<A,A>

  A simplified `TypeSafeKey` that can only view a value of type `A` as an `A`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jnape.palatable.lambda.adt.hmap.TypeSafeKey

      `TypeSafeKey.Simple<A>`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <CoP extends Profunctor<?,?,? extends Profunctor<?,?,?>>,CoF extends Functor<?,? extends Functor<?,?>>,FB extends Functor<A,? extends CoF>,FT extends Functor<A,? extends CoF>,PAFB extends Profunctor<A,FB,? extends CoP>,PSFT extends Profunctor<A,FT,? extends CoP>> PSFT` | `apply(PAFB pafb)` The polymorphic arrow between profunctors in this optic interface.

    - ### Methods inherited from interface com.jnape.palatable.lambda.adt.hmap.TypeSafeKey

      `andThen, discardR, typeSafeKey`

    - ### Methods inherited from interface com.jnape.palatable.lambda.optics.Iso.Simple

      `adapt, andThen, compose, compose, mirror, toLens`

    - ### Methods inherited from interface com.jnape.palatable.lambda.optics.Iso

      `andThen, compose, contraMap, diMap, diMapL, diMapR, discardL, flatMap, fmap, iso, iso, mapA, mapB, mapS, mapT, pure, pureIso, simpleIso, trampolineM, unIso, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.MonadRec

      `lazyZip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

    - ### Methods inherited from interface com.jnape.palatable.lambda.optics.Optic.Simple

      `adapt`

    - ### Methods inherited from interface com.jnape.palatable.lambda.optics.Optic

      `monomorphize, optic, reframe`

- - ### Method Detail

    - #### apply

          default <CoP extends Profunctor<?,?,? extends Profunctor<?,?,?>>,CoF extends Functor<?,? extends Functor<?,?>>,FB extends Functor<A,? extends CoF>,FT extends Functor<A,? extends CoF>,PAFB extends Profunctor<A,FB,? extends CoP>,PSFT extends Profunctor<A,FT,? extends CoP>> PSFT apply(PAFB pafb)

      Description copied from interface: `Optic`
      The polymorphic arrow between profunctors in this optic interface.
      Specified by:
        `apply` in interface `Optic<Profunctor<?,?,?>,Functor<?,?>,A,A,A,A>`
      Type Parameters:
        `CoP` - the profunctor type constraint witnessed by the application of this optic
        `CoF` - the functor type constraint witnessed by the application of this optic
        `FB` - the covariant parameter type of the input profunctor
        `FT` - the covariant parameter type of the output profunctor
        `PAFB` - the full input type
        `PSFT` - the full output type
      Parameters:
        `pafb` - the input
      Returns:
        the output profunctor